Skip to content
Start here

List Pipelines

client.Pipelines.ListV1(ctx, params) (*V4PagePaginationArray[PipelineListV1Response], error)
GET/accounts/{account_id}/pipelines/v1/pipelines

List/Filter Pipelines in Account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Pipelines WritePipelines Read
ParametersExpand Collapse
params PipelineListV1Params
AccountID param.Field[string]

Path param: Specifies the public ID of the account.

Page param.Field[float64]optional

Query param

PerPage param.Field[float64]optional

Query param

ReturnsExpand Collapse
type PipelineListV1Response struct{…}
ID string

Indicates a unique identifier for this pipeline.

CreatedAt string
ModifiedAt string
Name string

Indicates the name of the Pipeline.

maxLength128
minLength1
Sql string

Specifies SQL for the Pipeline processing flow.

Status string

Indicates the current status of the Pipeline.

List Pipelines

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/pipelines"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  page, err := client.Pipelines.ListV1(context.TODO(), pipelines.PipelineListV1Params{
    AccountID: cloudflare.F("0123105f4ecef8ad9ca31a8372d0c353"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", page)
}
{
  "result": [
    {
      "id": "01234567890123457689012345678901",
      "created_at": "created_at",
      "modified_at": "modified_at",
      "name": "my_pipeline",
      "sql": "insert into sink select * from source;",
      "status": "status"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 0,
    "per_page": 10,
    "total_count": 1
  },
  "success": true
}
Returns Examples
{
  "result": [
    {
      "id": "01234567890123457689012345678901",
      "created_at": "created_at",
      "modified_at": "modified_at",
      "name": "my_pipeline",
      "sql": "insert into sink select * from source;",
      "status": "status"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 0,
    "per_page": 10,
    "total_count": 1
  },
  "success": true
}